- Qt 5.15
- Qt D-Bus
- C++ Classes
- QDBusConnectionInterface
- Qt 5.15.15 Reference Documentation

# Obsolete Members for QDBusConnectionInterface

The following members of class QDBusConnectionInterface are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(obsolete)` void | serviceOwnerChanged(const QString &name, const QString &oldOwner, const QString &newOwner)

## Member Function Documentation

### `[signal]` void QDBusConnectionInterface::serviceOwnerChanged(const QString &name, const QString &oldOwner, const QString &newOwner)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QDBusServiceWatcher instead.

This signal is emitted by the D-Bus server whenever a service ownership change happens in the bus, including apparition and disparition of names.

This signal means the application oldOwner lost ownership of bus name name to application newOwner. If oldOwner is an empty string, it means the name name has just been created; if newOwner is empty, the name name has no current owner and is no longer available.

Note: connecting to this signal will make the application listen for and receive every single service ownership change on the bus. Depending on how many services are running, this make the application be activated to receive more signals than it needs. To avoid this problem, use the QDBusServiceWatcher class, which can listen for specific changes.